<ActionBar title="My Dogs" class="action-bar">
        <ActionItem text="Add Dog" [nsRouterLink]="['/add-dog']"></ActionItem>
</ActionBar>

<ListView [items]="dogs" class="list-group">
    <ng-template let-dog="item" let-i="index" let-odd="odd" let-even="even">
        <!-- The item template can only have a single root view container (e.g. GridLayout, StackLayout, etc.)-->
        <StackLayout [nsRouterLink]="['/dog', dog.id]" orientation="horizontal" class="list-group-item">

                <Label class="name" [text]="dog.name"></Label>
                <Label class="breed" [text]="dog.breed"></Label>
        </StackLayout>
    </ng-template>
</ListView>